add:
    path: /message
    controller: App\Controller\Main::addEmail
    methods: [POST]

get:
    path: /message/{id}
    controller: App\Controller\Main::getEmail
    methods: [GET, HEAD]
    requirements:
        id: "[1-9][0-9]*"

getAll:
    path: /message/
    controller: App\Controller\Main::getEmail
    methods: [GET, HEAD]
    defaults:
        id: 0

checkSent:
    path: /message/{id}/status
    controller: App\Controller\Main::getStatus
    methods: [GET]

cancel:
    path: /message/{id}/cancel
    controller: App\Controller\Main::updateStatus
    methods: [POST]
    defaults:
        status: canceled

# TODO: paziureti ar pavyksta prisijungti prie db
health:
    path: /healthz
    controller: App\Controller\Health::status
    methods: [GET]
